let
	injectHostnames = builtins.mapAttrs (hostname: attributes: { hostname = hostname; } // attributes);
in injectHostnames {
	"machine-workbot-01.cryto.net" = {
		friendlyName = "workbot";
		ipv4 = "148.251.195.23";
		internalIpv4 = "10.217.0.1";
		tincPublicKey = builtins.readFile ./tinc-keys/machine-workbot-01.cryto.net.pub;
	};
	"machine-haless-03.cryto.net" = {
		friendlyName = "haless";
		ipv4 = "31.7.187.145";
		internalIpv4 = "10.217.0.5";
		tincPublicKey = builtins.readFile ./tinc-keys/machine-haless-03.cryto.net.pub;
	};
	"machine-borg2-01.cryto.net" = {
		friendlyName = "borg2";
		ipv4 = "205.185.121.93";
		internalIpv4 = "10.217.0.6";
		tincPublicKey = builtins.readFile ./tinc-keys/machine-borg2-01.cryto.net.pub;
	};
	"machine-konjassiem-02.cryto.net" = {
		friendlyName = "konjassiem";
		ipv4 = "81.4.122.123";
		internalIpv4 = "10.217.0.7";
		tincPublicKey = builtins.readFile ./tinc-keys/machine-konjassiem-02.cryto.net.pub;
	};
	"machine-pikachu-02.cryto.net" = {
		friendlyName = "pikachu";
		ipv4 = "2.59.133.101";
		internalIpv4 = "10.217.0.8";
		tincPublicKey = builtins.readFile ./tinc-keys/machine-pikachu-02.cryto.net.pub;
	};
}
